

#define NUM_LEVELS 1

#define LEVEL0_WIDTH   26
 
//26 column wide image:
//
//   E  C  E
//     4  7  6 !
//
unsigned char  demo_screen[] =
 {
  0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0   ,
  0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0   ,
  0 ,0 ,1 ,1 ,1 ,1 ,1 ,1 ,1 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0   ,
  0 ,0 ,1 ,0 ,0 ,1 ,0 ,0 ,1 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0   ,
  0 ,0 ,1 ,0 ,0 ,1 ,0 ,0 ,1 ,0 ,0 ,0 ,5 ,5 ,5 ,0 ,0 ,0 ,0 ,0   ,
  0 ,0 ,1 ,0 ,0 ,1 ,0 ,0 ,1 ,0 ,0 ,0 ,0 ,0 ,5 ,0 ,0 ,0 ,0 ,0   ,
  0 ,0 ,1 ,0 ,0 ,0 ,0 ,0 ,1 ,0 ,0 ,0 ,5 ,5 ,5 ,5 ,5 ,0 ,0 ,0   ,
  0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,5 ,0 ,0 ,0 ,0 ,0   ,
  0 ,0 ,2 ,2 ,2 ,2 ,2 ,2 ,2 ,0 ,0 ,0 ,0 ,0 ,5 ,0 ,0 ,0 ,0 ,0   ,
  0 ,0 ,2 ,0 ,0 ,0 ,0 ,0 ,2 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0   ,
  0 ,0 ,2 ,0 ,0 ,0 ,0 ,0 ,2 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0   ,
  0 ,0 ,2 ,0 ,0 ,0 ,0 ,0 ,2 ,0 ,0 ,0 ,6 ,0 ,0 ,0 ,0 ,0 ,0 ,0   ,
  0 ,0 ,2 ,0 ,0 ,0 ,0 ,0 ,2 ,0 ,0 ,0 ,6 ,0 ,0 ,0 ,0 ,0 ,0 ,0   ,
  0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,6 ,0 ,0 ,0 ,0 ,0 ,0 ,0   ,
  0 ,0 ,3 ,3 ,3 ,3 ,3 ,3 ,3 ,0 ,0 ,0 ,6 ,0 ,6 ,6 ,6 ,0 ,0 ,0   ,
  0 ,0 ,3 ,0 ,0 ,3 ,0 ,0 ,3 ,0 ,0 ,0 ,6 ,6 ,0 ,0 ,0 ,0 ,0 ,0   ,
  0 ,0 ,3 ,0 ,0 ,3 ,0 ,0 ,3 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0   ,
  0 ,0 ,3 ,0 ,0 ,3 ,0 ,0 ,3 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0   ,
  0 ,0 ,3 ,0 ,0 ,0 ,0 ,0 ,3 ,0 ,0 ,0 ,7 ,7 ,7 ,7 ,7 ,0 ,0 ,0   ,
  0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,7 ,0 ,7 ,8 ,7 ,0 ,0 ,0   ,
  0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,7 ,0 ,7 ,8 ,7 ,0 ,0 ,0   ,
  0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,7 ,0 ,7 ,8 ,7 ,0 ,0 ,0   ,
  0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,7 ,0 ,7 ,7 ,7 ,0 ,0 ,0   ,
  0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0   ,
  0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,4 ,4 ,4 ,0 ,8 ,0 ,0 ,0   ,
  0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0 ,0

 };

//the width of each level's map
unsigned char level_widths[NUM_LEVELS] =
 { LEVEL0_WIDTH };

//pointers to each level's tile map data
unsigned char *levels[NUM_LEVELS] = { demo_screen };



inline void fill_demo_screen(void)
{
  unsigned int y, x;
  PORTD.6 = 1; //"set tilemap" mode
  PORTD.7 = 1;
  for(y = 0; y < SCREEN_HEIGHT_IN_TILES; y++) 
  {
    DATA_B  = (unsigned char)y;
    for(x = 0; x < SCREEN_WIDTH_IN_TILES; x++)
    {      
      DATA_A = (unsigned char)x;
      ADDRESS = demo_screen[x * SCREEN_HEIGHT_IN_TILES  + y];
      DATA_CLOCK = 1;
      #asm("nop");
      DATA_CLOCK = 0;
    }
  }
  PORTD.6 = 0; //end set tilemap mode.
  PORTD.7 = 0; 
}
